<?php function threadedComments($comments, $singleCommentOptions) {
    
	$commentClass = '';
	if ($comments->authorId) {
		if ($comments->authorId == $comments->ownerId) {
			$commentClass .= ' comment-by-author';
		} else {
			$commentClass .= ' comment-by-user';
		}
	} 
	
	$commentLevelClass = $comments->_levels > 0 ? ' comment-child' : ' comment-parent';
?>

<li id="<?php $comments->theId(); ?>" class="comment comment-body
	<?php
		$comments->alt(' comment-odd', ' comment-even');
		if ($comments->levels > 0) {
				echo ' comment-child';
				$comments->levelsAlt(' comment-level-odd', ' comment-level-even');
			} else {
				echo ' comment-parent';
		}
		echo $commentClass;
?>">
<article class="comment">
	<footer>
	<div class="comment-author vcard">
		<?php $comments->gravatar($singleCommentOptions->avatarSize,"");?>
			<span class="fn">
				<?php $singleCommentOptions->beforeAuthor(); $comments->author();$singleCommentOptions->afterAuthor();  ?>
			</span>
			<a class="comtime" href="<?php $comments->permalink(); ?>"><?php $singleCommentOptions->beforeDate();
				$comments->date($singleCommentOptions->dateFormat);
				$singleCommentOptions->afterDate(); ?>
			</a>
			<span onclick="xhd()" class="comment-reply-link"><?php $comments->reply($singleCommentOptions->replyWord); ?></span>
	</div>
	</footer>
	<div class="comment-content">
		<?php $comments->content();?>
	</div>
</article>
		<?php if ($comments->children) { ?>
			<?php $comments->threadedComments($singleCommentOptions);?>
		<?php } ?>
		<div class="clear"></div>
</li>

<?php
}
?>

<div id="comments">
<?php $this->comments()->to($comments); ?>
	<div class="Lj FE">
		<div class="fC YQ"></div>
		<div class="hh dw">
			<?php if($this->allow('comment')): ?>
			<div id="<?php $this->respondId(); ?>" class="respond">
				<div id="reply-title"><small></small></div>
				<form method="post" action="<?php $this->commentUrl() ?>" id="comment_form">
					<div id="cabg"></div>
					<div id="commentauthorinfo">
						<?php if($this->user->hasLogin()): ?>
							<p>已经以 <a href="<?php $this->options->profileUrl(); ?>"><?php $this->user->screenName(); ?></a> 的身份登录. <a href="<?php $this->options->logoutUrl(); ?>" title="Logout"><?php _e('[退出]'); ?></a></p>
						<?php else: ?>
							<p><input type="text" name="author" id="author" class="commenttext" value="<?php $this->remember('author'); ?>" size="22" tabindex="1">昵称 *</p>
							<p><input type="text" name="mail" id="mail" class="commenttext" value="<?php $this->remember('mail'); ?>" size="22" tabindex="2">邮箱 *</p>
							<p><input type="text" name="url" id="url" class="commenttext" value="<?php $this->remember('url'); ?>" size="22" tabindex="3">网址</p>
						<?php endif; ?>
						<input id="caok" onclick="xhd4()" class="submit" type="button" value="OK">
					</div>
					<div id="realavatar" onclick="xhd3()">
					<?php if($this->user->hasLogin()): ?>
						<?php echo '<img class="avatar" src="http://www.gravatar.com/avatar/' . md5($this->user->mail) . '?s=50&r=X' . '&d=" alt="' . $this->user->screenName . '" width="32" height="32" />'; ?>
					<?php else: ?>
						<img alt='' src='http://0.gravatar.com/avatar/?d=identicon&amp;s=40' class='avatar' height='32' width='32' />
						<script type="text/javascript" src="<?php $this->options->themeUrl('realgravatar.js'); ?>" /></script>
					<?php endif; ?>
					</div>						
					<textarea id="comment" class="txt" onclick="xhd()" name="text" cols="50" rows="5" tabindex="4"><?php $this->remember('text'); ?></textarea>
<script type="text/javascript" charset="utf-8">
	function xhd(){ 
		document.getElementById( "comment" ).className = "txt2";
					 
		if (document.getElementById("comment").value =="发表评论..."){document.getElementById("comment").value="";}
		document.getElementById("submit").style.display="inline";
		document.getElementById("txtcancel").style.display="inline-block";
		document.getElementById("realavatar").style.display='inline';
	} 
	function xhd2(){ 
		document.getElementById( "comment" ).className = "txt";
		document.getElementById("comment").value='发表评论...';
		document.getElementById("submit").style.display='none';
		document.getElementById("txtcancel").style.display='none';
		document.getElementById("realavatar").style.display='none';
	} 
 	function xhd3(){ 
		document.getElementById("caok").style.display='inline';
		document.getElementById("commentauthorinfo").style.display='inline';
		document.getElementById("cabg").style.display='inline';
	}  
	function xhd4(){ 
		document.getElementById("caok").style.display='none';
		document.getElementById("commentauthorinfo").style.display='none';
		document.getElementById("cabg").style.display='none';
	}   
</script> 		
					<p style=" margin-left: 40px;margin-top:5px">
						<input class="submit" name="submit" type="submit" id="submit" tabindex="5" value="发布评论">
					</p>
					<div role="button" onclick="xhd2()" id="txtcancel" class="a-f-e c-b c-b-T" tabindex="0" style="-webkit-user-select: none;"><div class="cancel-comment-reply"><?php $comments->cancelReply(); ?></div></div>
					<input type="hidden" name="comment_post_ID" value="5152" id="comment_post_ID">
					<input type="hidden" name="comment_parent" id="comment_parent" value="0">
					<p></p>
				</form>
			</div>
			<?php else: ?>
				<p style="text-align:center;">评论已关闭</p>
			<?php endif; ?>
		</div>

		<?php if ($comments->have()): ?>
			<?php $comments->listComments(); ?>
			<?php $comments->pageNav(); ?>
		<?php else: ?>
			<p style="text-align:center;padding-bottom:10px;">暂无评论</p>
		<?php endif; ?>
	</div>
</div>